% create other frequency database from thegiven database, the frequency
% is given by the frequency of 

function [do, fchar] = get_other_freq_database(self, sc, opt)
  
  if isfield(opt, 'report_table_range2') &&...
        length(opt.report_table_range2) > 0
    % get the frequency character
    fchar = lower(dat2char(opt.report_table_range2(1), 'dateformat', 'F'));
    % load the database if exists
    [f, isthere] = self.fetch_file_name('read', 'scenario_forecast_csv_otherfreq',...
                                        sc, fchar);
    if isthere
      do = dbload(f);
    else
      do = struct();
    end
  else
    fchar = '';
    do = struct();
  end
end
