% converts iris database to executable matlab code which makes the
% database contents
function db2matlab(d,name)
  
  flds = fieldnames(d);
  for i=1:numel(flds)
    if istseries(d.(flds{i}))
      datstr = sprintf('%.10g ', d.(flds{i})(:)');
      rng = get(d.(flds{i}),'range');
      rngstr = ['str2dat(''' dat2char(rng(1)) '''):str2dat(''' dat2char(rng(end)) ...
                ''')'];
      disp(sprintf('tmp = [ %s ];\n%s.%s = tseries(%s,tmp);',datstr,name,flds{i},rngstr));
    end
  end
end