% create latin cube
%
% author: Huigang Chen
%
function x=latincube(k,d)
p=zeros(d,k);
for i=1:d,
    p(i,:)=rand_perm(k);
end;
x=(p-rand(d,k))/k;

function p=rand_perm(n)
% Knuth shuffling
p=1:n;
r=ceil(rand(1,n-1).*(n:-1:2))+(0:n-2);
for i=1:n-1,
    temp=p(i);
    p(i)=p(r(i));
    p(r(i))=temp;
end;
