% create other frequency database from thegiven database, the frequency
% is given by the frequency of opt.report_table_range2

function [do, fchar] = create_other_freq_database(self, d, sc, opt)
  
  if isfield(opt, 'report_table_range2') &&...
        length(opt.report_table_range2) > 0
    % get the frequency character
    fchar = lower(dat2char(opt.report_table_range2(1), 'dateformat', 'F'));
    % get model switches
    if ~isstruct(opt.model_linear), swt = opt.model_switches; ...
    else swt = opt.model_switches.(sc); end
    % run convert_other_freq
    f = self.fetch_file_name('run', 'convert_other_freq');
    [p,n,e] = fileparts(f);
    p = pathincr(p);
    clear(n);
    do = eval([n '(d, swt, fchar)']);
  else
    fchar = '';
    do = struct();
  end
end
