% create database of the observed data in the variables and frequency of
% the model
%
%

function observeddata(self)
  
  % get round options
  opt = self.get_round_options();
  
  % load the databases in the data directory
  dm = dbload(self.fetch_file_name('read','data_monthly_csv'));
  dq = dbload(self.fetch_file_name('read','data_quarterly_csv'));
  dy = dbload(self.fetch_file_name('read','data_yearly_csv'));
  
  % run the user given function
  f = self.fetch_file_name('run','user_observed_data');
  [p,n,e] = fileparts(f);
  clear(n);
  p = pathincr(p); 
  %- and run it
  if ~isstruct(opt.model_linear), swt = opt.model_switches; ...
  else swt = opt.model_switches.history; end
  dout = eval([n '(swt, dm, dq, dy)']);
  % save the database to the results
  dbsave(dout, self.fetch_file_name('write', 'observed_data'));
end

