function f = az_define_scenario_baseline()

f = struct();
f.endo_tunes_by_exo = struct(...
  ... domestic tunes
  'dl_cpi_tar',    'shock_dl_cpi_tar', ...
  'prem',          'shock_prem', ...
  'dl_z_tnd',      'shock_dl_z_tnd', ...
  'd4l_y',         'shock_l_y_gap', ...
  'd4l_cpi',       'shock_dl_cpi', ...
  'i',             'shock_i', ...
  'l_azn_usd',     'shock_l_azn_usd', ...
  ... foreign observables
  'i_us',          'shock_i_us',...
  'l_cpi_us',      'shock_dl_cpi_us',...
  'r_us_tnd',      'shock_r_us_tnd',...
  'l_y_us_gap',    'shock_l_y_us_gap',...
  'l_cpi_ez',      'shock_dl_cpi_ez',...
  'l_y_ez_gap',    'shock_l_y_ez_gap',...
  'l_cpi_ru',      'shock_dl_cpi_ru',...
  'dl_cpi_tar_ru', 'shock_dl_cpi_tar_ru',...
  'l_y_ru_gap',    'shock_l_y_ru_gap',...
  'l_usd_eur',     'shock_dl_usd_eur',...
  'l_usd_rub',     'shock_dl_usd_rub',...
  'dl_z_ru_us_tnd','shock_dl_z_ru_us_tnd',...
  'l_oil',         'shock_l_qoil_gap',...
  'dl_qoil_tnd',    'shock_dl_qoil_tnd',...
  'l_food',        'shock_l_qfood_gap',...
  'dl_qfood_tnd',   'shock_dl_qfood_tnd');


f.anticipated_shocks = {...
 'shock_i_us'};

end
