% convert, adjust, process raw data to produce observed data for the
% model


function d = az_observed_data(model_switches, dm, dq, dy)

% we'll use dq directly and just have to transform variables that do not
% match
d = dq;

%% Domestic

% CPI
d.obs_l_cpi = 100*log(dq.obs_cpi);

% GDP
d.obs_l_y   = 100*log(dq.obs_y);

% FX rate 
d.obs_l_azn_usd = 100*log(dq.obs_azn_usd);

% Foreign
d.obs_l_usd_rub = 100*log(dq.obs_usd_rub);
d.obs_l_usd_eur = 100*log(dq.obs_usd_eur);


end