function x = nanmean_(x,dim)
if nargin==1
    dim=1;
end
if dim > ndims(x)
   error('dim greater than number of dimensions')
end
index = ~isnan(x);
n = sum(index,dim);
x(~index) = 0;
n(n==0)=nan;
x = sum(x,dim) ./ n;
