function out = norm_inv_skew_aux(x,mu,sigma,gamma)
% Numerically approcimating inverse of the skewed normal CDF


y  = -10:0.001:10; % grid over which we'll search (quantiles)
yy = norm_cdf_skew(y,mu,sigma,gamma); % get probabilities wrt quantiles
[diff index] = min((yy-x).^2); % find the closest probability to x

out = y(index);



end

