% this function converts old structure of model description to the xml
% code, which is printed to console

function olddesc2xml(desc)
  
  flds = fieldnames(desc);
  for i=1:length(flds)
    disp('<item>');
    disp(['<name>' flds{i} '</name>']);
    fflds = fieldnames(desc.(flds{i}));
    for j=1:length(fflds)
      val = desc.(flds{i}).(fflds{j});
      if isnumeric(val)
        val = num2str(val);
      end
      disp(['<' fflds{j} '>' val '</' fflds{j} '>']);
    end
    disp('</item>');
  end
end
