function [R,Q] = rq(A)

  m = size(A,1);
  n = size(A,2);
  rev_m = zeros(m,m);
  if m == 1
    rev_m = 1;
  else
    rev_m([m:m-1:(m-1)*m+1]) = 1;
  end
  rev_n = zeros(n,n);
  if n == 1
    rev_n = 1;
  else
    rev_n([n:n-1:(n-1)*n+1]) = 1;
  end
  
  [Q,R] = qr((rev_m*A)');
  R = rev_m*R'*rev_n;
  Q = rev_n*Q';
  
